%define snapshot_revision 31

Name:          python-grapefruit
Version:       0.1a3
Release:       %mkrel -c svn%{snapshot_revision} 6
Summary:       Python module for easy manipulation of color information

Group:         Development/Python
License:       ASL 2.0
URL:           https://code.google.com/p/grapefruit/
#clone and tarred : svn export -r%%{snapshot_revision} http://grapefruit.googlecode.com/svn/trunk/ %%{name}-%%{version}
#tar -cJvf %%{name}-%%{version}svn%%{snapshot_revision}.tar.xz %%{name}-%%{version}
Source0:       %{name}-%{version}svn%{snapshot_revision}.tar.xz
BuildArch:     noarch
BuildRequires: python-devel
%description
GrapeFruit is a pure python module that let you easily manipulate and convert
color information. It's primary goal is to be natural and flexible.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root="$RPM_BUILD_ROOT"
chmod 655 $RPM_BUILD_ROOT%{python_sitelib}/grapefruit.py
sed -i 's/\r//' CHANGES LICENSE TODO doc/Makefile doc/index.rst doc/conf.py doc/makedoc.cmd

%files
%doc doc/ CHANGES COPYING README LICENSE TODO
%{python_sitelib}/*.egg-info
%{python_sitelib}/grapefruit.py*



%changelog
* Tue Feb 02 2016 umeabot <umeabot> 0.1a3-0.svn31.6.mga6
+ Revision: 932297
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1a3-0.svn31.5.mga5
+ Revision: 746491
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1a3-0.svn31.4.mga5
+ Revision: 728656
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1a3-0.svn31.3.mga5
+ Revision: 688063
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Fri Feb 21 2014 philippem <philippem> 0.1a3-0.svn31.1.mga5
+ Revision: 595350
- imported package python-grapefruit

